// Project Lab - NHTV Igad

/*
#pragma once
#include "MatchMaking.hpp"
#include "Networking.h"


class FOnlineSessionInfoMatchMaking : public FOnlineSessionInfo
{
public:
	virtual ~FOnlineSessionInfoMatchMaking() {}

	enum PH {};
	PH SessionType;
	TSharedPtr<class FInternetAddr> HostAddr;
	TSharedPtr<class FInternetAddr> P2PAddr;
};

class FUniqueNetIdMatchMaking : public FUniqueNetId
{
public:
	~FUniqueNetIdMatchMaking() {}

	uint64 UniqueNetId;

	virtual const uint8* GetBytes() const override;
	virtual int32 GetSize() const override;
	virtual bool IsValid() const override;
	virtual FString ToString() const override;
	virtual FString ToDebugString() const override;
};

class FInternetAddrMatchMaking : public FInternetAddr
{
public:
	virtual ~FInternetAddrMatchMaking() {}

	FUniqueNetIdMatchMaking NetId;
	int32 ChannelId;
};

class UNREALPROJECT_API MatchMaking : public IMatchMakingInterface
{
public:
	MatchMaking(class FNamedOnlineSession* session);
	~MatchMaking();

	virtual void OnConnect() override;
	virtual void OnDisconnect() override;
	virtual void OnForceJoinSession(NetID netID, ChannelID channelID) override;
};
*/